
Ruby - Bug #11165

gem install bio-samtools

05/20/2015 05:06 PM - tbochan (Tad Bochan)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.0dev (2015-05-20 trunk 50560)

[x86_64-linux]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

gem install bio-samtools works with ruby 2.1.2 but fails with 2.3.0

824 /home/tad : gem install bio-samtools

Building native extensions.  This could take a while...

ERROR:  Error installing bio-samtools:

ERROR: Failed to build gem native extension.

/home/tad/.rvm/rubies/ruby-head/bin/ruby mkrf_conf.rb

 /home/tad/.rvm/rubies/ruby-head/bin/ruby -rubygems /home/tad/.rvm/gems/ruby-head@global/gems/rake-10.4.2/bin/rake

RUBYARCHDIR=/home/tad/.rvm/gems/ruby-head/extensions/x86_64-linux/2.3.0/bio-samtools-2.3.2

RUBYLIBDIR=/home/tad/.rvm/gems/ruby-head/extensions/x86_64-linux/2.3.0/bio-samtools-2.3.2

:

:

:

samtools-0.1.19/bam.h~

cd samtools-0.1.19

patch < ../Makefile-bioruby.patch

patching file Makefile

patch < ../Makefile-suse.patch

patching file Makefile

Hunk #1 succeeded at 15 with fuzz 1 (offset 2 lines).

rake aborted!

NameError: uninitialized constant Config

/home/tad/.rvm/gems/ruby-head/gems/bio-samtools-2.3.2/ext/Rakefile:23:in block (2 levels) in <top (required)>'

/home/tad/.rvm/gems/ruby-head/gems/bio-samtools-2.3.2/ext/Rakefile:19:in block in <top (required)>'

Tasks: TOP => default => compile

(See full trace by running task with --trace)

rake failed, exit code 1

Gem files will remain installed in /home/tad/.rvm/gems/ruby-head/gems/bio-samtools-2.3.2 for inspection.

Results logged to /home/tad/.rvm/gems/ruby-head/extensions/x86_64-linux/2.3.0/bio-samtools-2.3.2/gem_make.out

History

#1 - 05/20/2015 06:11 PM - tbochan (Tad Bochan)

Also fails in the same way with : ruby 2.2.1p85 (2015-02-26 revision 49769) [x86_64-linux]

#2 - 05/21/2015 06:12 AM - Hanmac (Hans Mackowiak)

that is not an error in ruby, but in the gem (so its a third-party problem)

please report it there:

https://github.com/helios/bioruby-samtools/issues

the solution would be to replace Config::CONFIG in mkrf_conf with RbConfig::CONFIG

#3 - 05/21/2015 07:06 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Third Party's Issue
